Bug 493458 - Missing mod_mem_cache
Missing mod_mem_cache
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-01 16:02 EDT by Nicolas Mailhot
Modified: 2010-06-28 07:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-04-01 16:02:32 EDT
mod_mem_cache has disappeared from rawhide apache (httpd-2.2.11-8.x86_64), without any hint of a reason
Comment 1 Joe Orton 2009-04-03 05:48:56 EDT
a) because nobody should be using it

b) to find out if anybody was using it, and if so, why

So - are you using it?  if so... why?
Comment 2 Nicolas Mailhot 2009-04-03 06:55:58 EDT
I'm using it because it's a cheap way to set up a caching proxy on a system where apache is already deployed. I need a local proxy to speed up mock.
Comment 3 Joe Orton 2009-04-03 09:38:17 EDT
Let me rephrase:

Why are you using mod_mem_cache in favour of mod_disk_cache?
Comment 4 Nicolas Mailhot 2009-04-03 11:25:02 EDT
Because memory is cheap and fast ?

I have a two-tiers proxy setup : persistent disk cache for big files (typically rpms) and mem cache for the rest
Comment 5 Bug Zapper 2009-06-09 09:00:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Brian Millett 2009-06-11 10:05:16 EDT
If for no other reason than the apache httpd gods have it as an option and it is listed in their docs as an option.  Are you a httpd committer?  Who made you god of apache httpd to make such a decision?  If it is UP stream and you do not think it is necessary, SO WHAT?!  Let people make their own decision and not load it.  Print out a BIG notice "I don't think you should use this module" or something like that, but come on!
Comment 7 Joe Orton 2009-06-11 10:39:32 EDT
My concern is that people are not making informed decisions.

I don't think it would be controversial to state that there is a rough consensus upstream that mod_disk_cache outperforms mod_mem_cache, and that the latter is redundant and buggy.   The simple argument that RAM is "faster" than disk, therefore mod_mem_cache is "better", does not hold water, because the kernel buffer cache will use available RAM to cache disk content anyway.

Certainly, I've not heard anybody claim to be using mod_file_cache.
Comment 8 Paul W. Frields 2009-06-11 10:45:24 EDT
Joe is a longtime maintainer of this package in Fedora.  I do think that it would have been good to put a release note into the Web Servers beat.  This change came as a small (but very manageable) surprise to the Websites team, which had to change some configuration and directions for contributors working on mockups or development of our fedoraproject.org sites.

http://fedoraproject.org/wiki/Documentation_Web_Servers_Beat
Comment 9 Paul W. Frields 2009-06-11 10:47:26 EDT
And I should point out in fairness that, having seen this change myself at the time, as part of helping Websites, I could have done that just as easily and it didn't occur to me at the time.  Apologies.
Comment 10 Nicolas Mailhot 2009-06-11 11:22:25 EDT
(In reply to comment #7)
> My concern is that people are not making informed decisions.
> 
> The simple argument that RAM is "faster" than
> disk, therefore mod_mem_cache is "better", does not hold water, because the
> kernel buffer cache will use available RAM to cache disk content anyway.

You still need to hit the disk first. That may not be a concern for dedicated proxy systems, but it is for everyone with a light proxy use on a system that does all kinds of other things with disks that may not be speed daemons.
Comment 11 Brian Millett 2009-06-11 14:34:32 EDT
Joe, your argument in #7 is valid and correct, but irrelevant.  

The application API, or functionality was changed just because you thought it was correct.  So what?!  That just causes grief to users who expect to maintain a certain stability between releases and with official documentation.  That it was changed JUST for fedora is my complaint.
Comment 12 Joe Orton 2009-06-12 10:56:30 EDT
w.r.t. comment 10:  you can also run mod_disk_cache on a tmpfs mount.  This will work much better than mod_mem_cache.

w.r.t. comment 11:  I am sorry that I forgot to relnote this, that was an oversight.  The set of modules we choose to ship and support in Fedora is a decision made in Fedora alone, not upstream.

Really: I am still looking for motivation to add these modules back.  If anybody will present a coherent argument, performance numbers, list of bugs which are present in mod_disk_cache but not mod_mem_cache, etc, I will add them back.  But I'm not seeing that.

It is a waste of time and resources to ship and support modules which are functionally equivalent, but inferior in implementation, to the recommended set; I also consider it irresponsible, since people can be, and are, duped into using these modules and thereby needlessly exposed to their bugs.
Comment 13 Chris Tooley 2009-07-31 11:28:09 EDT
It appears that mod_disk_cache is also no longer provided. Is there an alternative to that which should be used?
Comment 14 Joe Orton 2009-08-03 08:48:40 EDT
mod_disk_cache is still provided.
Comment 15 Joe Orton 2009-10-23 03:46:57 EDT
Also worth noting that mod_mem_cache has been removed from upstream trunk.
Comment 16 Bug Zapper 2010-04-27 09:25:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-06-28 07:38:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.